AppendedSolrParams (Solr 3.6.2 API)
Keywords: org.apache.solr.request.AppendedSolrParams class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.request
Class AppendedSolrParams

    java.lang.Object
      org.apache.solr.common.params.SolrParams
          org.apache.solr.common.params.DefaultSolrParams
              org.apache.solr.common.params.AppendedSolrParams
                  org.apache.solr.request.AppendedSolrParams

All Implemented Interfaces:
  Serializable

Deprecated. Use org.apache.solr.common.params.AppendedSolrParams

    @Deprecated
    public class AppendedSolrParams

extends AppendedSolrParams

This class is scheduled for deletion. Please update your code to the moved package.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.solr.common.params.DefaultSolrParams
`defaults, params`

Constructor Summary
`AppendedSolrParams(SolrParams main, SolrParams extra)` Deprecated.

Method Summary

Methods inherited from class org.apache.solr.common.params.AppendedSolrParams
`getParams, toString`

Methods inherited from class org.apache.solr.common.params.DefaultSolrParams
`get, getParameterNamesIterator`

Methods inherited from class org.apache.solr.common.params.SolrParams
`fpname, get, getBool, getBool, getDouble, getDouble, getFieldBool, getFieldBool, getFieldDouble, getFieldDouble, getFieldFloat, getFieldFloat, getFieldInt, getFieldInt, getFieldParam, getFieldParam, getFieldParams, getFloat, getFloat, getInt, getInt, parseBool, required, toMap, toMultiMap, toNamedList, toSolrParams, wrapAppended, wrapDefaults`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AppendedSolrParams

    public AppendedSolrParams(SolrParams main,
                              SolrParams extra)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD